package com.example.downloadtest2;

import com.vaadin.server.ConnectorResource;
import com.vaadin.server.DownloadStream;

public class DownloadStreamResource implements ConnectorResource {

	private static final long serialVersionUID = 1L;

	private String filename = null;
	private DownloadStream stream = null;

	public DownloadStream getStream() {
		return stream;
	}

	public DownloadStreamResource() {

	}

	public DownloadStreamResource(String filename) {
		this.filename = filename;
	}

	@Override
	public String getFilename() {
		return filename;
	}

	@Override
	public String getMIMEType() {
		return "application/octet-stream;charset=UTF-8";
	}
}
